package com.jiuqi.mde;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jiuqi.mde.MDEDimensionSet;
import com.jiuqi.mde.MDEFieldSet;

public final class MDEDataset {
  private String name;
  
  private MDEDimensionSet dimensions;
  
  private MDEFieldSet fields;
  
  private Object[] defaultValues;
  
  public MDEDataset(String name, MDEDimensionSet dimensions, MDEFieldSet fields) {
    this.name = name;
    this.dimensions = dimensions;
    this.fields = fields;
    this.defaultValues = new Object[fields.size()];
  }
  
  public String getName() {
    return this.name;
  }
  
  public MDEDimensionSet dimensions() {
    return this.dimensions;
  }
  
  public MDEFieldSet fields() {
    return this.fields;
  }
  
  public Object getDefaultValue(int index, Object value) {
    return this.defaultValues[index];
  }
  
  public void setDefaultValue(int index, Object value) {
    if (value instanceof String && ((String)value).length() == 0)
      value = null; 
    this.defaultValues[index] = value;
  }
  
  public boolean isDefaultValue(int index, Object value) {
    if (this.defaultValues[index] == value)
      return true; 
    if (value instanceof String && ((String)value).length() == 0)
      value = null; 
    return (value != null && value.equals(this.defaultValues[index]));
  }
}
